scala.tools.nsc

# ConsoleWriter

#### class ConsoleWriter extends Writer

A Writer that writes onto the Scala Console.

Source
  ConsoleWriter.scala
Version

  1.0

Linear Supertypes
Writer, Flushable, Closeable, Appendable, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ConsoleWriter
2. Writer
3. Flushable
4. Closeable
5. Appendable
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ConsoleWriter()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ConsoleWriter to any2stringadd[ConsoleWriter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (ConsoleWriter, B)

   Implicit information
     This member is added by an implicit conversion from ConsoleWriter to ArrowAssoc[ConsoleWriter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def append(arg0: Char): Writer

   Definition Classes
     Writer → Appendable
   Annotations
     @throws( classOf[java.io.IOException] )

7. #### def append(arg0: CharSequence, arg1: Int, arg2: Int): Writer

   Definition Classes
     Writer → Appendable
   Annotations
     @throws( classOf[java.io.IOException] )

8. #### def append(arg0: CharSequence): Writer

   Definition Classes
     Writer → Appendable
   Annotations
     @throws( classOf[java.io.IOException] )

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def close(): Unit

    Definition Classes
      ConsoleWriter → Writer → Closeable

12. #### def ensuring(cond: (ConsoleWriter) ⇒ Boolean, msg: ⇒ Any): ConsoleWriter

    Implicit information
      This member is added by an implicit conversion from ConsoleWriter to Ensuring[ConsoleWriter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (ConsoleWriter) ⇒ Boolean): ConsoleWriter

    Implicit information
      This member is added by an implicit conversion from ConsoleWriter to Ensuring[ConsoleWriter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): ConsoleWriter

    Implicit information
      This member is added by an implicit conversion from ConsoleWriter to Ensuring[ConsoleWriter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): ConsoleWriter

    Implicit information
      This member is added by an implicit conversion from ConsoleWriter to Ensuring[ConsoleWriter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def flush(): Unit

    Definition Classes
      ConsoleWriter → Writer → Flushable

20. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from ConsoleWriter to StringFormat[ConsoleWriter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

28. #### def toString(): String

    Definition Classes
      AnyRef → Any

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### def write(str: String): Unit

    Definition Classes
      ConsoleWriter → Writer

33. #### def write(cbuf: Array[Char], off: Int, len: Int): Unit

    Definition Classes
      ConsoleWriter → Writer

34. #### def write(arg0: String, arg1: Int, arg2: Int): Unit

    Definition Classes
      Writer
    Annotations
      @throws( classOf[java.io.IOException] )

35. #### def write(arg0: Array[Char]): Unit

    Definition Classes
      Writer
    Annotations
      @throws( classOf[java.io.IOException] )

36. #### def write(arg0: Int): Unit

    Definition Classes
      Writer
    Annotations
      @throws( classOf[java.io.IOException] )

37. #### def →[B](y: B): (ConsoleWriter, B)

    Implicit information
      This member is added by an implicit conversion from ConsoleWriter to ArrowAssoc[ConsoleWriter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Writer

### Inherited from Flushable

### Inherited from Closeable

### Inherited from Appendable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ConsoleWriter to any2stringadd[ConsoleWriter]

### Inherited by implicit conversion StringFormat from ConsoleWriter to StringFormat[ConsoleWriter]

### Inherited by implicit conversion Ensuring from ConsoleWriter to Ensuring[ConsoleWriter]

### Inherited by implicit conversion ArrowAssoc from ConsoleWriter to ArrowAssoc[ConsoleWriter]

### Ungrouped